Skip to main content
GET
/
v1
/
ramp
/
summary
Summary
curl --request GET \
  --url https://api.example.com/v1/ramp/summary
Endpoint: GET https://api.rebelfi.io/v1/ramp/summary
Get aggregate volume and fee statistics for ramp operations over a given period.

Query Parameters

FieldTypeRequiredDescription
date_fromstringNoStart date filter (ISO 8601)
date_tostringNoEnd date filter (ISO 8601)

Example Request

curl -X GET "https://api.rebelfi.io/v1/ramp/summary?date_from=2026-03-01T00:00:00Z&date_to=2026-03-31T23:59:59Z" \
  -H "x-api-key: your_api_key"

Example Response

{
  "total_volume_usd": 450000,
  "total_fees_usd": 1125,
  "total_delivered": 448875,
  "active_ramp_recipients": 12,
  "transaction_count": 28,
  "period_breakdown": [
    {
      "date": "2026-03-15",
      "volume_usd": 50000,
      "transactions": 3
    },
    {
      "date": "2026-03-16",
      "volume_usd": 75000,
      "transactions": 5
    }
  ]
}

Response Fields

FieldTypeDescription
total_volume_usdnumberTotal USD volume in the period
total_fees_usdnumberTotal fees collected
total_deliverednumberTotal amount delivered after fees
active_ramp_recipientsnumberNumber of active recipients
transaction_countnumberTotal number of transactions
period_breakdownarrayDaily breakdown of activity
period_breakdown[].datestringDate (YYYY-MM-DD)
period_breakdown[].volume_usdnumberUSD volume for the day
period_breakdown[].transactionsnumberNumber of transactions for the day